import React from 'react';
import { Drawer, Form, Button } from 'antd';
import classnames from 'classnames';
import styles from './index.less';

export default props => {
  const {
    visible,
    setVisible,
    drawerProps,
    previewContent,
    drawerContent,
    previewClass,
    children,
  } = props;
  return (
    <div className={classnames(styles.preViewContainer, previewClass)}>
      <div className={styles.previewBox}>{previewContent}</div>
      <Drawer
        title="Multi-level drawer"
        width={520}
        closable
        onClose={() => {
          setVisible(false);
        }}
        visible={visible}
        {...drawerProps}
      >
        {children || drawerContent}
      </Drawer>
    </div>
  );
};
