import React, { useState, useEffect } from 'react';
import { Form, Modal, Input, Select , notification } from 'antd';
import styles from './taskScheduling.less'
import {
  GetGISServerMapList,
  publisService
} from '@/services/webConfig/api';



const { TextArea } = Input;
const AddModal = props => {
  const { callBackSubmit = () => { }, type, formObj, visible, solutionNames } = props;
  const [loading, setLoading] = useState(false);
  const [workSpace, setWorkSpace] = useState('');
  const [serviceName, setServicename] = useState([{
  }]);
  const [workList, setWorkList] = useState([]);
  const [gsIp, setGsIp] = useState([]);
  const [form] = Form.useForm();
  const { Item } = Form;
  // 提交
  const onSubmit = () => {
    form.validateFields().then(validate => {
      if (validate) {
        setLoading(true);
        let obj = form.getFieldsValue();
        if (type === 'add') {
 
       
        } else if (type === 'edit') {
          handleEdit();
        }
      }
    });
  };

  const handleEdit = () => {
    // SetServiceConfig({
    //   servicename: serviceName,
    //   terminalType: 'base',
    //   isBaseMap: true,
    //   jsonCfg: JSON.stringify(query)
    // })
    //   .then(res => {
    //     setLoading(false);
    //     if (res.success) {
    //       form.resetFields();
    //       callBackSubmit();
    //       notification.success({
    //         message: '提示',
    //         duration: 3,
    //         description: res.message || '编辑成功',
    //       });
    //     } else {
    //       notification.error({
    //         message: '提示',
    //         duration: 3,
    //         description: res.message || '编辑失败',
    //       });
    //     }
    //   })
    //   .catch(err => setLoading(false));
  };

  const onFinish = value => { };
  useEffect(() => {
    switch (type) {
      case 'add':
        form.setFieldsValue({ ...formObj });
        break;
      case 'edit':
        form.setFieldsValue({ ...formObj });
        break;
      default:
        break;
    }
  }, [visible]);



  const layout = {
    layout: 'horizontal',
    labelCol: {
      span: 4,
    },
    wrapperCol: {
      span: 16,
    },
  };

  const handleWorkspace = () => { }


  return (
    <Modal
      title={`${type === 'add' ? '元数据发布' : '编辑'}`}
      bodyStyle={{ width: '100%', minHeight: '100px' }}
      style={{ top: '150px' }}
      width="700px"
      destroyOnClose
      maskClosable={false}
      cancelText="取消"
      okText="确认"
      {...props}
      onOk={() => onSubmit()}
      confirmLoading={loading}
      forceRender={true}
      getContainer={false}
    >
      {visible && (
        <Form form={form} {...layout} onFinish={onFinish}>
          <Item
            label="任务名称"
            name="serviceadress"
            rules={[{ required: true, message: '请输入任务名称' }]}
          >
            <Input placeholder="请输入任务名称" allowClear />
          </Item>
          <Item
            label="场景"
            name="port"
            rules={[{ required: true, message: '请选择场景' }]}
          >
            <Select onChange={handleWorkspace} value={workSpace}>
              {/* {workList.length ? workList.map((item, index) => { return <Option key={index} value={item.name}>{item.name}</Option> }) : ''} */}
            </Select>
          </Item>

          <Item
            label="策略名称"
            name="servicename"
            rules={[{ required: true, message: '请选择策略名称' }]}
          >
            <Select onChange={handleWorkspace} value={workSpace}>
              {/* {workList.length ? workList.map((item, index) => { return <Option key={index} value={item.name}>{item.name}</Option> }) : ''} */}
            </Select>
          </Item>
          <Item
            label="类型"
            name="user"
            rules={[{ required: true, message: '请选择类型' }]}
          >
            <Select onChange={handleWorkspace} value={workSpace}>
              {/* {workList.length ? workList.map((item, index) => { return <Option key={index} value={item.name}>{item.name}</Option> }) : ''} */}
            </Select>
          </Item>
          <Item
            label="设备类型"
            name="password"
            rules={[{ required: true, message: '请输入设备类型' }]}
          >
            <Select onChange={handleWorkspace} value={workSpace}>
              {/* {workList.length ? workList.map((item, index) => { return <Option key={index} value={item.name}>{item.name}</Option> }) : ''} */}
            </Select>
          </Item>
          <Item
            label="设备编码"
            name="workname"
            rules={[{ required: true, message: '请选择设备编码' }]}
          >
            <Select onChange={handleWorkspace} value={workSpace}>
              {/* {workList.length ? workList.map((item, index) => { return <Option key={index} value={item.name}>{item.name}</Option> }) : ''} */}
            </Select>
          </Item>
          <Item
            label="预测间隔"
            name="name"
            rules={[{ required: true, message: '请输入预测间隔' }]}
          >
            <div className={styles.predict}></div>
            <Input  style={{width:'70%' }} placeholder="请输入预测间隔" allowClear />
            <Select  style={{ marginLeft: '0.5rem',width:'28%' }}  onChange={handleWorkspace} value={workSpace}>
              {/* {workList.length ? workList.map((item, index) => { return <Option key={index} value={item.name}>{item.name}</Option> }) : ''} */}
            </Select>
          </Item>
          <Item
            label="间隔(Cron)"
            name="serviceadress"
            rules={[{ required: true, message: '请输入间隔' }]}
          >
            <Input placeholder="请输入间隔" allowClear />
          </Item>
          <Item
            label="首次预测时间"
            name="serviceadress"
            rules={[{ required: true, message: '请选择首次预测时间' }]}
          >
            <Input placeholder="请选择首次预测时间" allowClear />
          </Item>
          <Item
            label="描述"
            name="serviceadress"
          >
            <TextArea  placeholder="可输入描述信息"  rows={4} allowClear />
          </Item>
        </Form>
      )}
    </Modal>
  );
};
export default AddModal;
