import React, { useEffect, useState } from 'react'
import { Radio, Checkbox, Row, Col } from 'antd'



const DayOfWeekSelect = props => {



    const [selectValues, setSelectValues] = useState([])
    const {onChange,value} = props
   
    const hours = [
        { name: "星期一", value: '1' },
        { name: "星期二", value: '2' },
        { name: "星期三", value: '3' },
        { name: "星期四", value: '4' },
        { name: "星期五", value: '5' },
        { name: "星期六", value: '6' },
        { name: "星期天", value: '7' },
    ]
    const onTypeChange = e => {
        let values = []
        switch (e.target.value) {
            case 0:
                values = ["1","2","3","4","5","6","7"]
                break
            case 1:
                values = []
                break
            case 2:
                values = ["1","2","3","4","5"]
                break
            case 3:
                values = ["6","7"]
                break
            
        }
        setSelectValues(values)
        onChange&&onChange(values)
    }

    const onCheckChange = (value)=>{
        
        setSelectValues(value)
        onChange&&onChange(values)
    }
    useEffect(()=>{
        setSelectValues(value)
    },[props])
    return (
        <div >
            <Radio.Group  onChange={onTypeChange}>
                <Radio value={0}>全选</Radio>
                <Radio value={1}>反选</Radio>
                <Radio value={2}>工作日</Radio>
                <Radio value={3}>周末</Radio>
            </Radio.Group>
            <Checkbox.Group value={selectValues} onChange={onCheckChange}>
                <Row>
                    {
                        hours.map((item, idx) => {
                            return (
                                <Col span={4}>
                                    <Checkbox value={item.value}>{item.name}</Checkbox>
                                </Col>
                            )
                        })
                    }
                </Row>
            </Checkbox.Group>
        </div>
    )
}
export default DayOfWeekSelect;