import React, { useState, useEffect } from 'react'
import SiteModal from '@/components/Modal/SiteModa';
import { Form, Input, notification, Select } from 'antd'


const { Item } = Form;
const { TextArea } = Input;
const EditModal = props => {


    const [form] = Form.useForm();
    const [loading, setLoading] = useState(false);
    const onSubmit = () => {
        form.submit()
         
        
    }
    const onSubmitSuccess =()=>{
        const result = form.getFieldValue()
        props.onSubmit & props.onSubmit({ Id: props.template.Id, ...result })
    }

    useEffect(() => {
        form.setFieldsValue({
            name: props.template.name,
            type: props.template.type,
            third_name: props.template.third_name,
            third_id: props.template.third_id,
            params: props.template.template_params,
            desc: props.template.desc,
            analysis_params: props.template.analysis_params,
        })
    }, [props.template])
    return (
        <SiteModal
            {...props}
            title="模板编辑"
            bodyStyle={{ width: '100%', minHeight: '100px' }}
            style={{ top: 200, borderRadius: '20px' }}
            width="800px"
            destroyOnClose
            cancelText="取消"
            okText="确认"
            onOk={() => onSubmit()}
            confirmLoading={loading}
        >
            <div style={{width:"750px",height:"400px",overflowY:"scroll"}}>
                <Form form={form} labelCol={{ span: 4 }} onFinish={onSubmitSuccess}>
                    <Item
                        label="模板名称"
                        name="name"
                        rules={[
                            {
                                required: true,
                                message: '请输入模板名称',
                            },
                        ]}
                    >
                        <Input placeholder="请输入模板名称" />
                    </Item>
                    <Item
                        label="模板类型"
                        name="type"
                        rules={[
                            {
                                required: true,
                                message: '请选择模板类型',
                            },
                        ]}
                    >
                        <Select >
                            <Option value="公众号">公众号</Option>
                            <Option value="短信">短信</Option>
                        </Select>
                    </Item>
                    <Item
                        label="第三方模板名称"
                        name="third_name"
                        rules={[
                            {
                                required: true,
                                message: '请输入第三方模板名称',
                            },
                        ]}
                    >
                        <Input placeholder="请输入模板名称" />
                    </Item>
                    <Item
                        label="第三方模板编号"
                        name="third_id"
                        rules={[
                            {
                                required: true,
                                message: '请输入第三方模板编号',
                            },
                        ]}
                    >
                        <Input placeholder="请输入模板名称" />
                    </Item>
                    <Item
                        label="模板参数"
                        name="params"
                        rules={[
                            {
                                required: true,
                                message: '请输入模板参数',
                            },
                        ]}
                    >
                        <TextArea rows={4} placeholder="请输入模板参数" />
                    </Item>
                    <Item
                        label="参数说明"
                        name="desc"
                        rules={[
                            {
                                required: true,
                                message: '请输入参数说明',
                            },
                        ]}
                    >
                        <TextArea rows={4} placeholder="请输入参数说明" />
                    </Item>
                    <Item
                        label="参数解析"
                        name="analysis_params"
                        rules={[
                            {
                                required: true,
                                message: '请输入参数解析',
                            },
                        ]}
                    >
                        <TextArea rows={4} placeholder="请输入参数解析" />
                    </Item>

                </Form>
            </div>
        </SiteModal>
    )
}
export default EditModal;