import { Tabs, Button } from 'antd';
import React from 'react';
import PageContainer from '@/components/BasePageContainer';
import styles from './SchemeConfig.less'
import TileConfig from './TileConfig/TileConfig';
import VectorData from './VectorData/VectorData';
import ProjectMessage from './projectMessage/projectMessage';
import SolutionConfig from './solutionConfig/solutionConfig';

const { TabPane } = Tabs;

const SchemeConfig = () => {

    const callback = () => {

    }

    return (
        <PageContainer>
            <div className={styles.container}>
                <Tabs onChange={callback} type="card">
                    <TabPane tab="瓦片数据配置" key="1">
                        <TileConfig />
                    </TabPane>
                    <TabPane tab="矢量数据配置" key="2">
                        <VectorData />
                    </TabPane>
                    <TabPane tab="方案管理" key="3">
                        <ProjectMessage />
                    </TabPane>
                    <TabPane tab="方案配置" key="4">
                        <SolutionConfig/>
                    </TabPane>
                </Tabs>
            </div>

        </PageContainer>
    )

}
export default SchemeConfig;