import React from 'react';
import {
  DatabaseOutlined,
  UsergroupAddOutlined,
  SettingOutlined,
  HomeOutlined,
  //   AndroidOutlined,
  //   CommentOutlined,
  CopyOutlined,
} from '@ant-design/icons';

const iconStyle = { verticalAlign: '0.125em' };

const menuConfig = [
  {
    path: '/dbm',
    component: 'BasicLayout',
    name: '数据库管理',
    icon: <DatabaseOutlined style={iconStyle} />,
    routes: [
      {
        path: '/dbm/dbInit',
        name: '数据库初始化',
      },
      {
        path: '/dbm/dbsm',
        name: '数据库标准化管理',
      },
    ],
  },
  {
    path: '/userCenter',
    component: 'BasicLayout',
    name: '用户中心',
    icon: <UsergroupAddOutlined style={iconStyle} />,
    routes: [
      {
        path: '/userCenter/UserManage',
        name: '用户管理',
      },
      {
        path: '/userCenter/RoleManage',
        name: '角色管理',
      },
      {
        path: '/userCenter/SiteManage',
        name: '站点管理',
      },
      {
        path: '/userCenter/testTable',
        name: '测试表格',
      },
    ],
  },
  {
    path: '/platformCenter',
    component: 'BasicLayout',
    name: '平台中心',
    icon: <SettingOutlined style={iconStyle} />,
    routes: [
      {
        path: '/platformCenter/gis',
        name: 'GIS平台',
      },
      {
        path: '/platformCenter/order',
        name: '工单平台',
      },
      {
        path: '/platformCenter/notify',
        name: '消息平台',
      },
      {
        path: '/platformCenter/iot',
        name: '物联平台',
      },
      {
        path: '/platformCenter/vedio',
        name: '视频管理',
      },
      {
        path: '/platformCenter/emq',
        name: '宿主管理',
      },
      {
        path: '/platformCenter/dictionary',
        name: '数据字典',
      },
    ],
  },
  {
    path: '/productCenter',
    component: 'BasicLayout',
    name: '产品中心',
    icon: <HomeOutlined style={iconStyle} />,
    routes: [
      {
        path: '/productCenter/web',
        name: 'web配置',
      },
      {
        path: '/productCenter/app',
        name: 'app配置',
      },
      {
        path: '/productCenter/miniProgram',
        name: '小程序配置',
      },
    ],
  },
  {
    path: '/log',
    component: 'BasicLayout',
    name: '日志管理',
    icon: <CopyOutlined style={iconStyle} />,
    routes: [
      {
        path: '/log/service',
        name: '服务日志',
      },
      {
        path: '/log/login',
        name: '登录日志',
      },
      {
        path: '/log/omsOperation',
        name: '运维操作日志',
      },
      {
        path: '/log/omsError',
        name: '运维错误日志',
      },
    ],
  },
];

export default menuConfig;
