import { get, post, PUBLISH_SERVICE, CITY_SERVICE } from '@/services/index';

/**
 * @数据库初始化
 */

/**
 * 数据库测试连接
 * @param {*} params
 * {
 * ip:'',
 * dbName:'',
 * userName:'',
 * password:'',
 * }
 */
export const connectionTest = params =>
  get(`${PUBLISH_SERVICE}/DBManager/ConnectionTest`, params);

// 获取数据库配置信息
export const getDataBaseConfig = params =>
  get(`${CITY_SERVICE}/OMS.svc/S_GetDataBaseConfig`, params);

// 获取数据库连接记录
export const getConnRecord = params =>
  get(`${CITY_SERVICE}/OMS.svc/S_GetConnRecord`, params);

// 测试连接
export const getConnectionTest = params =>
  get(`${CITY_SERVICE}/OMS.svc/S_GetConnectionTest`, params);

// 保存数据库连接
export const saveConnection = params =>
  get(`${CITY_SERVICE}/OMS.svc/S_SaveConnection`, params);

// 获取数据库列表

export const getDataBaseList = params =>
  get(`${CITY_SERVICE}/OMS.svc/S_GetDataBaseList`, params);

// 数据库初始化
export const initDBv4 = params =>
  get(`${CITY_SERVICE}/OMS.svc/S_InitDBv4`, params);

// 更新描述
export const updateConnDesc = params =>
  get(`${CITY_SERVICE}/OMS.svc/S_UpdateConnDesc`, params);

// 获取日志
export const getInitDBLog = params =>
  get(`${CITY_SERVICE}/OMS.svc/S_GetInitDBLog`, params);

// 删除初始化日志
export const deleteInitDBLog = params =>
  get(`${CITY_SERVICE}/OMS.svc/S_DeleteInitDBLog`, params);

// 修改产品解决方案
export const setTableSQLDirName = params =>
  get(`${CITY_SERVICE}/OMS.svc/S_SetTableSQLDirName`, params);

// 删除数据库连接记录
export const deleteConn = params =>
  get(`${CITY_SERVICE}/OMS.svc/S_DeleteConn`, params);

/**
 *
 * @解决方案管理
 */
// 切换解决方案配置
export const getSolutionList = params =>
  get(`${CITY_SERVICE}/OMS.svc/W4_GetSolutionList`, params);

export const publishGetSolutionList = params =>
  get(`${PUBLISH_SERVICE}/PlatformCenter/GetSolutionList`, params);
// 切换解决方案
export const changeSolution = params =>
  get(`${CITY_SERVICE}/OMS.svc/W4_ChangeSolution`, params);

/**
 *
 * @数据库标准化管理
 */
// 检查数据库表
export const tableCheck = params =>
  get(`${CITY_SERVICE}/OMS.svc/TableCheck`, params);

// 获取数据库升级记录
export const databaseStandardGetLog = params =>
  get(`${CITY_SERVICE}/OMS.svc/DatabaseStandard_GetLog`, params);

// 更新
export const updateDateBase = params =>
  get(`${CITY_SERVICE}/OMS.svc/DatabaseStandard_UpdateDateBase`, params);

/**
 * @数据库连接配置
 */
// 删除数据库连接
export const deleteConnString = params =>
  get(`${CITY_SERVICE}/OMS.svc/S_DeleteConnString`, params);
// SQL数据库连接
export const getSQLServerConnString = params =>
  get(`${CITY_SERVICE}/OMS.svc/S_GetSQLServerConnString`, params);
// 新增SQLServer数据库连接
export const addSQLServerConnString = params =>
  get(`${CITY_SERVICE}/OMS.svc/S_AddSQLServerConnString`, params);
// 删除SQL连接
export const editSQLServerConnString = params =>
  get(`${CITY_SERVICE}/OMS.svc/S_EditSQLServerConnString`, params);
// SQL数据库测试连接
export const getSQLServerConnectionTest = params =>
  get(`${CITY_SERVICE}/OMS.svc/S_GetSQLServerConnectionTest`, params, {
    timeout: 30000,
  });
/**
 * @Oracle数据库
 */
// Oracle连接记录
export const getOracleConnString = params =>
  get(`${CITY_SERVICE}/OMS.svc/S_GetOracleConnString`, params);
// 新增Oracle连接
export const addOracleConnString = params =>
  get(`${CITY_SERVICE}/OMS.svc/S_AddOracleConnString`, params);
// 编辑Oracle连接
export const editOracleConnString = params =>
  get(`${CITY_SERVICE}/OMS.svc/S_EditOracleConnString`, params);
// 测试连接
export const getOracleConnectionTest = params =>
  get(`${CITY_SERVICE}/OMS.svc/S_GetOracleConnectionTest`, params, {
    timeout: 30000,
  });

/**
 * @MongoDB连接
 */
// MongoDB连接记录
export const getMongoDBConnString = params =>
  get(`${CITY_SERVICE}/OMS.svc/S_GetMongoDBConnString`, params);
// 新增连接配置
export const addMongoDBConnString = params =>
  get(`${CITY_SERVICE}/OMS.svc/S_AddMongoDBConnString`, params);
// 编辑分享
export const editMongoDBConnString = params =>
  get(`${CITY_SERVICE}/OMS.svc/S_EditMongoDBConnString`, params);
// 测试连接
export const getMongoDBConnectionTest = params =>
  get(`${CITY_SERVICE}/OMS.svc/S_MongoDBConnectionTest`, params, {
    timeout: 30000,
  });
/**
 * @MySQL连接
 */
// MySQL连接记录
export const getMySQLConnString = params =>
  get(`${CITY_SERVICE}/OMS.svc/S_GetMySQLConnString`, params);
// 新增配置连接
export const addMySQLConnString = params =>
  get(`${CITY_SERVICE}/OMS.svc/S_AddMySQLConnString`, params);
// 测试连接
export const getMySQLConnectionTest = params =>
  get(`${CITY_SERVICE}/OMS.svc/S_GetMySQLConnectionTest`, params);
// 编辑
export const editMySQLConnString = params =>
  get(`${CITY_SERVICE}/OMS.svc/S_EditMySQLConnString`, params, {
    timeout: 300000,
  });
